# TransactionsComponent | CICADA
Documentation for CICADA

### Hierarchy

- TransactionsComponent

### Implements

- OnInit
- AfterViewInit

## Index

### Constructors

- constructor

### Properties

- defaultPageSize
- pageSizeOptions
- paginator
- sort
- tokenSymbol
- transaction
- transactionDataSource
- transactionDisplayedColumns
- transactions
- transactionsType
- transactionsTypes

### Methods

- doFilter
- downloadCsv
- filterTransactions
- ngAfterViewInit
- ngOnInit
- viewTransaction

## Constructors

### constructor

- new TransactionsComponent(blockSyncService: BlockSyncService, transactionService: TransactionService, userService: UserService, tokenService: TokenService ): TransactionsComponent

- - Defined in src/app/pages/transactions/transactions.component.ts:34

  #### Parameters

  - ##### blockSyncService: BlockSyncService

  - ##### transactionService: TransactionService

  - ##### userService: UserService

  - ##### tokenService: TokenService

  #### Returns TransactionsComponent

## Properties

### defaultPageSize

defaultPageSize: number = 10

- Defined in src/app/pages/transactions/transactions.component.ts:25

### pageSizeOptions

pageSizeOptions: number[] = ...

- Defined in src/app/pages/transactions/transactions.component.ts:26

### paginator

paginator: MatPaginator

- Defined in src/app/pages/transactions/transactions.component.ts:33

### sort

sort: MatSort

- Defined in src/app/pages/transactions/transactions.component.ts:34

### tokenSymbol

tokenSymbol: string

- Defined in src/app/pages/transactions/transactions.component.ts:31

### transaction

transaction: Transaction

- Defined in src/app/pages/transactions/transactions.component.ts:28

### transactionDataSource

transactionDataSource: MatTableDataSource<any>

- Defined in src/app/pages/transactions/transactions.component.ts:23

### transactionDisplayedColumns

transactionDisplayedColumns: string[] = ...

- Defined in src/app/pages/transactions/transactions.component.ts:24

### transactions

transactions: Transaction []

- Defined in src/app/pages/transactions/transactions.component.ts:27

### transactionsType

transactionsType: string = 'all'

- Defined in src/app/pages/transactions/transactions.component.ts:29

### transactionsTypes

transactionsTypes: string[]

- Defined in src/app/pages/transactions/transactions.component.ts:30

## Methods

### doFilter

- doFilter(value: string, dataSource: any): void

- - Defined in src/app/pages/transactions/transactions.component.ts:70

  #### Parameters

  - ##### value: string

  - ##### dataSource: any

  #### Returns void

### downloadCsv

- downloadCsv(): void

- - Defined in src/app/pages/transactions/transactions.component.ts:92

  #### Returns void

### filterTransactions

- filterTransactions(): void

- - Defined in src/app/pages/transactions/transactions.component.ts:74

  #### Returns void

### ngAfterViewInit

- ngAfterViewInit(): void

- Implementation of AfterViewInit.ngAfterViewInit

  - Defined in src/app/pages/transactions/transactions.component.ts:87

  #### Returns void

### ngOnInit

- ngOnInit(): Promise<void>

- Implementation of OnInit.ngOnInit

  - Defined in src/app/pages/transactions/transactions.component.ts:43

  #### Returns Promise<void>

### viewTransaction

- viewTransaction(transaction: any): void

- - Defined in src/app/pages/transactions/transactions.component.ts:66

  #### Parameters

  - ##### transaction: any

  #### Returns void

Generated using TypeDoc